<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">

	<!-- Responsive Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- External CSS -->
	<!-- <link rel="stylesheet" href="index.css"> -->

	<title>Bootstrap Grid System</title>

</head>
<body class="text-center">

	<h1>Bootstrap Grid System</h1>

	<h2>Two columns</h2>
	<div class="container-fluid">

		<!-- Row with two equal columns -->
		<h3>1:1 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">
				6 Col	
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
				6 Col	
			</div>
		</div>

		<!-- Row with two columns divided in 1:2 ratio -->
		<h3>1:2 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col	
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">
				8 Col	
			</div>
		</div>

		<!-- Row with two columns divided in 1:3 ratio -->
		<h3>1:3 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col	
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">
				9 Col	
			</div>
		</div>

		<!-- Row with three columns divided in 1:1:1 ratio -->
		<h3>Three Columns</h3>
		<h3>1:1:1 Ratio</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col	
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
				4 Col	
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col	
			</div>
		</div>

		<!-- Row with three columns divided in 1:2:1 ratio -->
		<h3>1:2:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col	
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
				6 Col	
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col	
			</div>
		</div>

		<!-- Row with three columns divided in uneven ratio -->
		<h3>Uneven Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col	
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-7">
				7 Col	
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">
				2 Col	
			</div>
		</div>
	</div>

	<!-- Automatic Sizing -->
	<h3>Automatic Sizing</h3>
	<div>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Auto	
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
					Auto	
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Auto	
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
					Auto	
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Auto	
				</div>
			</div>
		</div>
	</div>

	<!-- Automatic Sizing -->
	<h3>Mobile Responsive</h3>
	<div>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-sm-2">
					Responsive	
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-10">
					Responsive	
				</div>
			</div>
		</div>
	</div>

	<!-- Multi-Column Layouts -->
	<h3>Multi-Column Layouts</h3>
	<div>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Catalog 1	
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
					Catalog 2	
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Catalog 3	
				</div>
			</div>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Catalog 4	
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
					Catalog 5	
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col">
					Catalog 6	
				</div>
			</div>
		</div>
	</div>

	<!-- Offsetting Columns -->
	<h3>Offsetting Columns</h3>
	<div>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-2">
					Offset Column
				</div>
			</div>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-md-3">
					Offset Column	
				</div>
			</div>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-lg-4">
					Offset Column	
				</div>
			</div>
		</div>
	</div>

	<!-- Column Orders -->
	<h3>Column Orders</h3>
	<div>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col order-md-2">
					Left
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col order-md-1">
					Right	
				</div>
			</div>
		</div>
	</div>

</body>
</html>